Appearance
tagfolder/list
Lists tag folders for a project.
Method and path
GET /tagfolder/list/{project_id}
Authentication
Authentication is required. See Authentication.
Permissions
Accessible to tier 1, 2, and 3 users.
Request headers
| Header | Required | Description |
|---|---|---|
X-Api-Key or X_API_KEY | yes | API key. |
Path parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
project_id | integer | yes | Project identifier. |
Example request
bash
curl "$SIGNAL_API_BASE_URL/tagfolder/list/<project_id>" \
-H "X-Api-Key: $SIGNAL_API_KEY"Example response
json
{
"data": [
{
"id": 7,
"label": "Example Folder"
}
]
}Response fields
| Field | Type | Description |
|---|---|---|
data | array<object> | Folder collection. |
Folder object fields
| Field | Type | Description |
|---|---|---|
id | integer | Folder identifier. |
label | string | Folder label. |
Notes
- When the project has no tag folders, the endpoint returns
{"data": []}.